#include <stdio.h>
#include "gc.h"

void dump_ptrs(void) {
  printf(
"_bottom:\t%p
_top:\t\t%p
free:\t\t%p
fromspace:\t%p
tospace:\t%p
scanpos:\t%p
top:\t\t%p
", _bottom, _top, free, fromspace, tospace, scanpos, top);
}

void error(char *error) {
  printf(error);
  dump_ptrs();
  exit(-1);
}
